%global debug_package %{nil}

Name:       airshipper
Version:    0.11.0
Release:    1%{?dist}
Summary:    Cross-platform Veloren launcher

License:    GPL-3.0-or-later
URL:        https://github.com/veloren/Airshipper
Source0:    %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires: gcc-c++
BuildRequires: git-core
BuildRequires: python3
BuildRequires: pkgconfig(expat)
BuildRequires: pkgconfig(fontconfig)
BuildRequires: pkgconfig(freetype2)
BuildRequires: pkgconfig(openssl)
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(xkbcommon-x11)

%description
A cross-platform Veloren launcher.

Features

  * Update/Download and start nightly.
  * Fancy UI with batteries included.


%prep
%autosetup -n Airshipper-%{version}

curl https://sh.rustup.rs -sSf | sh -s -- \
    --profile minimal \
    --default-toolchain nightly -y \
    %{nil}


%build
$HOME/.cargo/bin/cargo build --release --bin %{name}


%install
install -D -p -m 0755 target/release/%{name} %{buildroot}/%{_bindir}/%{name}


%files
%license LICENSE
%doc CHANGELOG.md
%{_bindir}/%{name}


%changelog
* Wed Feb 14 2024 Artem Polishchuk <ego.cordatus@gmail.com> - 0.11.0-1
- chore: Update to latest release

* Wed Nov 30 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 0.10.0-1
- chore(update): 0.10.0

* Fri Sep 16 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 0.9.0-1
- chore(update): 0.9.0

* Fri Sep 02 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 0.8.0-1
- chore(update): 0.8.0

* Fri Mar 11 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 0.7.0-1
- chore(update): 0.7.0

* Wed Sep 01 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 0.6.0-1
- build(update): 0.6.0

* Wed Jul 14 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 0.5.0-1
- build(update): 0.5.0

* Wed Jan 27 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 0.4.2-1
- Initial package
